- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPGInternalInputStream Class Reference

`#include <WPGInternalStream.h>`

Inheritance diagram for WPGInternalInputStream:

## Public Member Functions
| WPGInternalInputStream (const unsigned char *data, unsigned long size)
virtual | ~WPGInternalInputStream ()
virtual bool | isOLEStream ()
virtual WPXInputStream * | getDocumentOLEStream (const char *)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, WPX_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | atEOS ()

## Private Member Functions
| WPGInternalInputStream (const WPGInternalInputStream &)
WPGInternalInputStream & | operator= (const WPGInternalInputStream &)

## Private Attributes
long | m_offset
unsigned long | m_size
const unsigned char * | m_data
unsigned char * | m_tmpBuf

## Constructor & Destructor Documentation

WPGInternalInputStream::WPGInternalInputStream | ( | const unsigned char * | data,
|  | unsigned long | size
| ) |  |

WPGInternalInputStream::~WPGInternalInputStream | ( |  | ) |
| virtual

WPGInternalInputStream::WPGInternalInputStream | ( | const WPGInternalInputStream & |  | ) |
| private

## Member Function Documentation

bool WPGInternalInputStream::atEOS | ( |  | ) |
| virtual

virtual WPXInputStream* WPGInternalInputStream::getDocumentOLEStream | ( | const char * |  | ) |
| inline virtual

virtual bool WPGInternalInputStream::isOLEStream | ( |  | ) |
| inline virtual

WPGInternalInputStream& WPGInternalInputStream::operator= | ( | const WPGInternalInputStream & |  | ) |
| private

const unsigned char * WPGInternalInputStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

int WPGInternalInputStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |
| virtual

long WPGInternalInputStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

const unsigned char* WPGInternalInputStream::m_data
| private

Referenced by read().

long WPGInternalInputStream::m_offset
| private

Referenced by atEOS(), read(), seek(), and tell().

unsigned long WPGInternalInputStream::m_size
| private

Referenced by atEOS(), read(), and seek().

unsigned char* WPGInternalInputStream::m_tmpBuf
| private

Referenced by read(), and ~WPGInternalInputStream().

The documentation for this class was generated from the following files:

- WPGInternalStream.h
- WPGInternalStream.cpp